Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234438 - File names with accents ("Umlaute") are not accepted
Summary: File names with accents ("Umlaute") are not accepted
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: pdftk
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 08:57 UTC by Richard Körber
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 20:11:17 UTC


Attachments (Terms of Use)

Description Richard Körber 2007-03-29 08:57:48 UTC
Description of problem:
When trying to use pdftk with pdf files having accented file names, pdftk is
unable to open those files.

Version-Release number of selected component (if applicable):
pdftk-1.41-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. pdftk frühling.pdf sommer.pdf herbst.pdf winter.pdf cat output jahr.pdf
--> Error: Failed to open PDF file: 
   frühling.pdf
Errors encountered.  No output created.
Done.  Input errors, so no output created.
2. mv frühling.pdf fruehling.pdf
3. pdftk fruehling.pdf sommer.pdf herbst.pdf winter.pdf cat output jahr.pdf
--> Working now!
  
Actual results:
Error: Failed to open PDF file: 
   frühling.pdf

Expected results:
pdftk is able to open those files.

Additional info:
This is a standard FC6 installation. $LANG is "de_DE.UTF-8".

Comment 1 Jochen Schmitt 2007-06-21 20:11:17 UTC
Hello,

I have send you issue as an bugreport to the upstream author.

Best Regards:

Jochen Schmitt


Note You need to log in before you can comment on or make changes to this bug.